<?php
$GLOBALS["__65da1b1ec2d6653e8" . "a0ab7848e536215"] = (@$GLOBALS["__65da1b1ec2d6" . "653e8a0ab7848e" . "536215"] ?: array()) + array("right" . "s" => base64_decode("cmln" . "aHRz"), "_923b46b96d9db" . "24c4faa35027fc" . "77b71" => base64_decode("Q29udHJvbCBj" . "YW4ndCBpbnB1" . "dCB0aGUgZGF0" . "YQ=="), "_4be538b2f65f8d8" . "f8dde8a914f61007" . "6" => base64_decode("Vm" . "ll" . "dw" . "=="), "_6f65d5feee27b320b6f7785c82762a7" . "2" => base64_decode("dXNlcnNf" . "bGlzdC52" . "aXNpYmxl"));





class FFControlUsersList extends FFControlAbstract
{
    var $perms;
    var $perms_dialog;
    
    
    
    
    
    
    
    public function __construct($key, $title)
    {
        parent::__construct($key, $title);
        $this->data[$GLOBALS["__65da1b1ec2d" . "6653e8a0ab784" . "8e536215"]["righ" . "ts"]] = array();
    }
    
    
    
    
    
    public function LoadFromForm()
    {
        $this->perms = new Permissions(1);
        $this->perms_dialog = new CommonPermsDialog($this->perms);
        $this->perms_dialog->SetShowButtons(false, false);
        $this->perms_dialog->SetAllPermValues(array(PERM_VIEW => array($GLOBALS["__65da1b1ec2d6653e8a0ab784" . "8e536215"]["_4be538b2f65f8d8f8dd" . "e8a914f610076"], 1)));
        $this->perms->Load();
        if (!$this->perms_dialog or !$this->perms_dialog->Update()) {
            return $this->SetErrMsg($GLOBALS["__65da1b1ec2d6653e8a0ab7848e" . "536215"]["_923b46b96d9db24c4faa35" . "027fc77b71"]);
        }
        $this->data[$GLOBALS["__65da1b1ec2d6653e8a0ab784" . "8e536215"]["righ" . "ts"]] = $this->perms->rights;
        
        
        
        return true;
    }
    public function Draw()
    {
        $_1a7eeedc1ca1289115e80107e7e6a911[$GLOBALS["__65da1b1ec2d6653e8a" . "0ab7848e536215"]["_6f65d5feee27b320b6f7785c82762a" . "72"]] = 1;
        $this->perms = new Permissions(1);
        $this->perms_dialog = new CommonPermsDialog($this->perms);
        $this->perms_dialog->SetShowButtons(false, false);
        $this->perms_dialog->SetAllPermValues(array(PERM_VIEW => array($GLOBALS["__65da1b1ec2" . "d6653e8a0ab7" . "848e536215"]["_4be538b2f65" . "f8d8f8dde8a9" . "14f610076"], 1)));
        $this->perms->Load();
        $this->perms->rights = $this->data[$GLOBALS["__65da1b1ec2d" . "6653e8a0ab784" . "8e536215"]["rig" . "hts"]];
        $this->perms_dialog->Show();
        return $_1a7eeedc1ca1289115e80107e7e6a911;
    }
}